---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libCharArrayCriticalLocker.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL10objFieldId, symObjAddr: 0x478B0, symBinAddr: 0x4070, symSize: 0x0 }
  - { offsetInCU: 0xA2, offset: 0xA2, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x478B8, symBinAddr: 0x4078, symSize: 0x0 }
  - { offsetInCU: 0x5F87, offset: 0x5F87, size: 0x8, addend: 0x0, symName: _Java_nsk_share_gc_lock_jni_CharArrayCriticalLocker_criticalNative, symObjAddr: 0xE90, symBinAddr: 0x14E0, symSize: 0x490 }
  - { offsetInCU: 0x6463, offset: 0x6463, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectClassEP8_jobjectiPKc, symObjAddr: 0x1360, symBinAddr: 0x19B0, symSize: 0x110 }
  - { offsetInCU: 0x6660, offset: 0x6660, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDEC1IP7_jclassPKcS8_EEP23ExceptionCheckingJniEnvS8_T_T0_T1_iS8_, symObjAddr: 0x2280, symBinAddr: 0x22D0, symSize: 0x100 }
  - { offsetInCU: 0x6847, offset: 0x6847, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDED1Ev, symObjAddr: 0x2380, symBinAddr: 0x23D0, symSize: 0x220 }
  - { offsetInCU: 0x6A5B, offset: 0x6A5B, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetObjectFieldEP8_jobjectP9_jfieldIDiPKc, symObjAddr: 0x1510, symBinAddr: 0x1AC0, symSize: 0x140 }
  - { offsetInCU: 0x6CAB, offset: 0x6CAB, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14SetObjectFieldEP8_jobjectP9_jfieldIDS1_iPKc, symObjAddr: 0x1650, symBinAddr: 0x1C00, symSize: 0x140 }
  - { offsetInCU: 0x6F2C, offset: 0x6F2C, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv14GetArrayLengthEP7_jarrayiPKc, symObjAddr: 0x1790, symBinAddr: 0x1D40, symSize: 0xF0 }
  - { offsetInCU: 0x71A1, offset: 0x71A1, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv29ReleasePrimitiveArrayCriticalEP7_jarrayPviiPKc, symObjAddr: 0x1A20, symBinAddr: 0x1F70, symSize: 0x140 }
  - { offsetInCU: 0x7422, offset: 0x7422, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv25GetPrimitiveArrayCriticalEP7_jarrayPhiPKc, symObjAddr: 0x1880, symBinAddr: 0x1E30, symSize: 0x140 }
  - { offsetInCU: 0x769A, offset: 0x769A, size: 0x8, addend: 0x0, symName: __ZN23ExceptionCheckingJniEnv10FatalErrorEP7JNIEnv_PKc, symObjAddr: 0x1320, symBinAddr: 0x1970, symSize: 0x40 }
  - { offsetInCU: 0x78C5, offset: 0x78C5, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassED1Ev, symObjAddr: 0x1C60, symBinAddr: 0x20B0, symSize: 0x220 }
  - { offsetInCU: 0x7CA6, offset: 0x7CA6, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectED1Ev, symObjAddr: 0x26E0, symBinAddr: 0x25F0, symSize: 0x220 }
  - { offsetInCU: 0x80B3, offset: 0x80B3, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvED1Ev, symObjAddr: 0x2900, symBinAddr: 0x2810, symSize: 0x220 }
  - { offsetInCU: 0x8874, offset: 0x8874, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP7_jclassE17DecimalToAsciiRecEPci, symObjAddr: 0x5810, symBinAddr: 0x2A40, symSize: 0x50 }
  - { offsetInCU: 0x8B18, offset: 0x8B18, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP9_jfieldIDE17DecimalToAsciiRecEPci, symObjAddr: 0x58B0, symBinAddr: 0x2A90, symSize: 0x50 }
  - { offsetInCU: 0x8C85, offset: 0x8C85, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIP8_jobjectE17DecimalToAsciiRecEPci, symObjAddr: 0x5900, symBinAddr: 0x2AE0, symSize: 0x50 }
  - { offsetInCU: 0x8DF2, offset: 0x8DF2, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111JNIVerifierIPvE17DecimalToAsciiRecEPci, symObjAddr: 0x5950, symBinAddr: 0x2B30, symSize: 0x50 }
...
